#1.
import random
import pickle
kort = list(range(1, 126, 1))
print(kort)

kortrandom = ()
for i in kort:
    kortrandom = kortrandom + (random.randint(6, 56),)
    
stroka_iz_kort = tuple(map(str, kortrandom))
print(stroka_iz_kort)
#2.

sur = ["Лазарев", "Анисенков", "Филлипова", "Жалнин", "Мельников"]
print("Список фамилий:", sur)
#3-4

f = open('bin.mnz', 'wb')
pickle.dump(stroka_iz_kort, f)
pickle.dump(sur, f)
f.close()
#5.

f = open('bin.mnz', 'rb')
object1 = pickle.load(f)
object2 = pickle.load(f)
f.close()
print("Объект №1:",object1)
print("Объект №2:",object2)

#6.

if object1 == stroka_iz_kort and object2 == sur:
    print("Объекты идентичны исходным")
else:
    print("Объекты отличны от изначально заданных")
#7.
    
for i in range(0,125,5):
    exec('list' + str(i//5 + 1) + ' = ' + str(list(object1[i:i+5])))
print(list1)


